<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>gov.va.med.repos.mediator</groupId>
		<artifactId>mediator-app</artifactId>
		<version>4.0.2-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>
	<artifactId>mediator-ejb</artifactId>
	<name>Mediator Enterprise JavaBean Module </name>
	<description>Message Mediator Enterprise JavaBean Components</description>
	<packaging>ejb</packaging>
	<dependencies>
		<dependency>
			<groupId>gov.va.med.repos.mediator</groupId>
			<artifactId>mediator-client</artifactId>
		</dependency>
		<dependency>
			<groupId>gov.va.med.repos.mediator</groupId>
			<artifactId>mediator-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wlclient</artifactId>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wljmsclient</artifactId>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wlfullclient</artifactId>
		</dependency>
		<dependency>
			<groupId>gov.va.med.repos.lib</groupId>
			<artifactId>log4j-ext</artifactId>
		</dependency>
		<!-- <dependency>
			<groupId>com.oracle.weblogic</groupId>
			<artifactId>weblogic-maven-plugin</artifactId>
			<scope>provided</scope>
		</dependency> -->
		<dependency>
			<groupId>gov.va.med.repos.lib</groupId>
			<artifactId>common</artifactId>
			<exclusions>
				<!-- <exclusion>
					<groupId>net.sourceforge.saxon</groupId>
					<artifactId>saxon</artifactId>
				</exclusion> -->
				<exclusion>
					<groupId>net.sf.saxon</groupId>
					<artifactId>Saxon-HE</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>gov.va.med.repos.lib</groupId>
			<artifactId>junit-ext</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.easymock</groupId>
			<artifactId>easymock</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>
	<profiles>
		<profile>
			<id>clover</id>

			<build>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<configuration>
							<licenseLocation> ${CDSN_ROOT}/misc/tools/Clover/clover.license
							</licenseLocation>
							<excludes>
								<exclude>**/*Test.java</exclude>
								<exclude>**/*TestCase.java</exclude>
							</excludes>
						</configuration>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
	<build>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*.xml</include>
				</includes>
				<filtering>true</filtering>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</testResource>
		</testResources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ejb-plugin</artifactId>
				<version>2.5.1</version>
				<configuration>
					<ejbVersion>3.0</ejbVersion>
					<archive>
						<manifestEntries>
							<mode>development</mode>
							<url>${pom.url}</url>
							<Specification-Version>3.0</Specification-Version>
						</manifestEntries>
					</archive>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
